com.sun.grid.jgdi.monitoring

## Class HardRequestValue

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.HardRequestValue

- All Implemented Interfaces:
    java.io.Serializable

      public class HardRequestValue
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HardRequestValue(java.lang.String resource, java.lang.String value, double uc)` Create an new instanceof a HardRequestValue

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getContribution()` Get the urgency contribution of the resource
    `java.lang.String` | `getResource()` Get the resource
    `java.lang.String` | `getValue()` Get the requested value of the resource

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HardRequestValue

          public HardRequestValue(java.lang.String resource,
                                  java.lang.String value,
                                  double uc)

      Create an new instanceof a HardRequestValue
      Parameters:
        `resource` - the name of the resource
        `value` - requested value of the resource
        `uc` - urgency contribution of the resource

  - ### Method Detail

    - #### getResource

          public java.lang.String getResource()

      Get the resource
      Returns:
        the resource

    - #### getValue

          public java.lang.String getValue()

      Get the requested value of the resource
      Returns:
        the requested value

    - #### getContribution

          public double getContribution()

      Get the urgency contribution of the resource
      Returns:
        the urgency contribution

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.